Mailinglist Archive: opensuse-packaging (83 mails)

< Previous Next >
Re: [opensuse-packaging] Automatically install a specific package for build
  • From: Cristian Rodríguez <crrodriguez@xxxxxxx>
  • Date: Sat, 25 Oct 2008 15:07:10 -0300
  • Message-id: <4903604E.90607@xxxxxxx>
Magnus Boman escribió:
Hello,

Trying to build the latest GNOME for openSUSE 11.0. A fair amount of
those packages (~150) seem to require pcre-devel to be able to build
(which is not the case on Factory).

What is the error message ? lack of "la" files maybe ?

Is there an easy way to tell OBS to automatically install this package
during build for a specific project?

osc meta -e prjconf your:project

add

Support: pcre-devel

But try to fix the real bug instead, it most likely dont need to fix 150
packages ;-) most likely your problem is about glib2-devel dependencies
that were corrected a while ago.



--
"A computer is like an Old Testament god, with a lot of rules and no
mercy. "

Cristian Rodríguez R.
Platform/OpenSUSE - Core Services
SUSE LINUX Products GmbH
Research & Development
http://www.opensuse.org/


< Previous Next >
Follow Ups
References